unit Ip;

interface

//{$WEAKPACKAGEUNIT ON}

uses Windows;

type
 PIP_HEADER = ^IP_HEADER;
 IP_HEADER = record
  Len_Ver         : BYTE;
  ToS             : BYTE;
  TotalLength     : WORD;
  Identification  : WORD;
  Offset_Flags    : WORD;
  Ttl             : BYTE;
  Protocol        : BYTE;
  Checksum        : WORD;
  SrcAddr         : DWORD;
  DestAddr        : DWORD;
 end;

const IPTOS_LOWDELAY          = $10;
const IPTOS_THROUGHPUT        = $08;
const IPTOS_RELIABILITY       = $04;
const IPTOS_MONETARY          = $02;
const IPTOS_RESERVED2         = $01;
const IPTOS_NONE              = $00;
const IP_DF                   = $4000;  //* dont fragment flag */
const IP_MF                   = $2000;  //* more fragments flag */
const IP_VERSION_4            = 4;      //* IPv4 */
const DEFAULT_TTL             = 128;    //* default Win ttl in the ip header.*/

implementation

end.
