unit Tcp;

interface

//{$WEAKPACKAGEUNIT ON}

uses Windows,WinSock;

type
 PTCP_HEADER = ^TCP_HEADER;
 TCP_HEADER = record
   Sport : WORD;       //* source port */
   Dport : WORD;       //* destination port */
   Seq   : DWORD;      //* sequence number */
   Ack   : DWORD;      //* acknowledgement number */
   Off_X2: BYTE;       //* data offset */ ___ //* (unused) */
   Flags : BYTE;
   Win   : WORD;       //* window */
   Sum   : WORD;       //* checksum */
   Urp   : WORD;       //* urgent pointer */
 end;

 PPSEUDO_HEADER = ^PSEUDO_HEADER;
 PSEUDO_HEADER = record
   Saddr      : in_addr;
   Daddr      : in_addr;
   Zero       : BYTE;
   Protocol   : BYTE;
   Length     : WORD;
   TcpHeader  : TCP_HEADER;
 end;

Const TH_X2_LEN       = 4;      //* unused field len */
Const TH_OFF_LEN      = 4;      //* data offset field len half */
Const TH_X2_POS       = 3;      //* lower half */
Const TH_OFF_POS      = 7;      //* higher half */
Const TH_FIN          = $01;
Const TH_SYN          = $02;
Const TH_RST          = $04;
Const TH_PUSH         = $08;
Const TH_ACK          = $10;
Const TH_URG          = $20;



implementation

end.
