unit Arp;

interface

//{$WEAKPACKAGEUNIT ON}

uses Windows;

type
 PARP_HEADER = ^ARP_HEADER;
 ARP_HEADER = record
   Hw_Type       : WORD;
   Prot_Type     : WORD;
   Hw_Addr_Size  : BYTE;                  // Mac Address Size
   Prot_Addr_Size: BYTE;                  // Protocol Address Size
   Operation     : WORD;                  //
   Sndr_Hw_Addr  : array[0..5] of BYTE;   // Our Mac Address
   Sndr_Ip_Addr  : array[0..3] of BYTE;   // Our IP  Address
   Rcpt_Hw_Addr  : array[0..5] of BYTE;   //  -------- Zero
   Rcpt_Ip_Addr  : array[0..3] of BYTE;   // Dest IP Addrerss
   Padding       : array[0..17] of BYTE;  // Non Use
 end;

// For Hw_Type
Const HW_TYPE_ETH10         =  1;  // Eternet 10 Mbps
Const HW_TYPE_ETH3          =  2;  // Eternet 3 Mbps (Experimental)
Const HW_TYPE_X25           =  3;  // X 25
Const HW_TYPE_TOKENRING     =  4;  // Token Ring
Const HW_TYPE_CHAOS         =  5;  // Chaos
Const HW_TYPE_IEEE802       =  6;  // IEEE 802
Const HW_TYPE_ARCNET        =  7;  // ARCNET

// For Operation
Const ARP_OP_ARP_QUERY      =  1;  // ARP query
Const ARP_OP_ARP_RESP       =  2;  // ARP response
Const ARP_OP_RARP_QUERY     =  3;  // RARP query
Const ARP_OP_RARP_RESP      =  4;  // RARP response


implementation

end.

